package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 每日编号生成记录对象 t_sn_gen
 *
 * @author hxhq
 * @date 2026-01-12
 */
@TableName("t_sn_gen")
public class SnGen extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日期 */
    private String date;

    /** 当前编号 */
    private Integer sn;

    /** 类型：1：物资；3：一般表单；5：填报表单 */
    private Integer type;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public void setDate(String date)
    {
        this.date = date;
    }

    public String getDate()
    {
        return date;
    }

    public Integer getSn() {
        return sn;
    }

    public void setSn(Integer sn) {
        this.sn = sn;
    }
}
